For the complete documentation index, see llms.txt. This page is also available as Markdown.

Backups and archives

Get list of backups & archives

get

Returns a paginated list of backup and archive jobs with customizable page size. You can also select backup/archive types, date range, order, and sort field.

Autorizaciones
AuthorizationstringRequerido

Bearer <access_token>

Parámetros de ruta
connectionIdnumberRequerido
Parámetros de consulta
searchstringOpcional

Search term (max 80)

pagenumberRequerido

Number of page (min 1)

Example: 1
limitnumberRequerido

Limit of entities per page (min 1, max 2000)

Example: 50
isIncludeMetadatabooleanOpcional
startedDatestringOpcionalExample: 2020-01-01T00:00:00.000Z
endDatestringOpcionalExample: 2026-05-20T09:00:43.285Z
sortBystring · enumOpcionalExample: jobIdValores posibles:
orderstring · enumOpcionalExample: DESCValores posibles:
Respuestas
200

Returns a paginated list of Backups & Archives

application/json
totalnumberRequerido

Total number of entities.

Example: 1
get/api/v1/connections/{connectionId}/backups
GET /api/v1/connections/{connectionId}/backups?page=1&limit=1&types=full&statuses=In+Progress HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "total": 1,
  "items": [
    {
      "id": 1,
      "name": "My backup",
      "jobId": 1,
      "jobStatus": "In Progress",
      "startedDate": "2026-01-01T00:00:00.000Z",
      "duration": "text",
      "size": 1,
      "records": 1,
      "operationType": "Templated Archive"
    }
  ]
}

Create backup

post

Creates a backup job. You must use one of the supported backup types: full or template. The templateId parameter is optional and should only be provided for template backups

Autorizaciones
AuthorizationstringRequerido

Bearer <access_token>

Parámetros de ruta
connectionIdnumberRequerido
Cuerpo
namestringRequerido

Backup or archive name.

Example: My backup
descriptionstringRequeridoExample: This is my backup
modestring · enumRequeridoExample: fullValores posibles:
Respuestas
201Éxito
application/json
messagestringRequerido
post/api/v1/connections/{connectionId}/backups/backup
POST /api/v1/connections/{connectionId}/backups/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "name": "My backup",
  "description": "This is my backup",
  "settings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  },
  "mode": "full"
}
{
  "message": "text"
}

Última actualización

¿Te fue útil?